cannot delete old visibility preset

2015-02-13 02:49 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20386

Description

I have some old presets I can't delete in a project.

When I select one, it is not ticked as current, hence I cannot delete it.

Associated revisions

Revision 5eba5755 - 2015-02-20 07:49 AM - Martin Dobias

Fix #12197 - cannot delete old visibility preset

When a preset gets applied, we try to fix it by removing irelevant stuff

(e.g. legend items that do not exist anymore, styles that do not exist).

This is however slightly complicated and leaves room for problems.

Let's simply fix the presets by assigning them the current state after

being applied - and get rid of all the patching...

History

#1 - 2015-02-19 10:55 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5eba57558d065b1f43a736d563e72277bad06b24".
